# MentalreBalance


This is my humble attempt at creating a different, balanced, titanfall 2 meta. The goal has been to make each gun worth using without noticably increasing the quick and intense TTK of titanfall, instead giving each gun strenghts and weaknesses making none a jack of all trades. Making any one gun more equally effective when wielded with skill and situational awareness, and fun, always. Changes are extensive, and the mod can be used server side only, though this will cause some wierdness clientside. None of it is game-breaking. Feedback is extremely welcome, as I can't possible ever test my changes in truly all possible situations, nor be equally skilled with every gun.

If you'd like to avoid the client-side glitches, simply install the mod client-side, as well.

The server side only issues are caused by client/server conflicts with guns that have modified clip size (client can try to reload even when server considers gun full), modified spread behaviour (hipfire indicators will jitter), and other changes such as the quite different behaviour of the charge rifle. However, the issues are visual only.

If you'd like to contribute your complaints, suggestions or praises you can join my discord at https://discord.gg/wFuwnuQNt7

### 1.1.1

- Now modifies ordnance
- Eva-8 changes
- MGL changes

### 1.1.0

- The mod now contextually tells players about changes to the particular guns they are using
- Fixed folder layout


## Changes

### Ordnance

    Frag Grenade
    - Unchanged

    Arc Grenade
    - Activates quicker 0.75s > 0.2s

    Gravity Star
    - Unchanged

    Fire Star
    - Unchanged

    Electric Smoke
    - Damage increased
    - Effective radius increased

    Satchel
    - Larger splash radius 120 > 200 / 250 > 250

### Sidearms

    P2016
    - Fire rate increased 8 > 9 (buff)

    R45
    - Damage reduced 20 > 20 / 13 > 10
    - Damage falloff increased 750 > 500 / 1000 > 660

    Wingman B3
    - Increased fire rate 2.6 > 2.9 (buff)
    - Increased spread decay (buff)

### Assault Rifles

    R101/R102
    - Damage reduced 4 hit > 5 hit / 25 > 22 / 17 > 17
    - Hipfire accuracy reduced by ≈10%
    - ADS recoil increased by ≈20%
    - Inaccuracy fade increased 5 > 8 (buff)

    Hemlok
    - Clip size reduced 24 > 18 / 30 > 24
    - Damage increased 4 hit > 3 hit / 33 > 35 / 25 > 30 / 20 > 20 (buff)
    - Hipfire accuracy increased by ≈30% (buff)
    - Headshot multiplier increased 1.5 > 2.0 (buff)
    - Recoil and ADS inaccuracy introduced
    - Fire rate increased (burst delay) 0.25s > 0.22s (buff)
    - Spread decay increased 4 > 5 (buff)

    G2
    - Damage reduced 40 > 40 / 35 > 30
    - Hipfire accuracy increased by ≈20% (buff)
    - Fire rate increase 5.5 > 6.1 (buff)
    - Spread kick increased by ≈100%
    - Recoil introduced

    Flatline
    - Damage changes 30 > 30 / 20 > 20 / 15 > 12
    - Clip size reduced 30 > 26 / 36 > 32
    - Hipfire accuracy reduced
    - ADS recoil given a small vertical component

### SMGs

    All
    - Damage falloff to all increased 1000 > 750 / 1500 > 1200
    - Recoil is now incurred on the first shot

    C.A.R
    - Clip size reduced 30 > 24 / 36 > 28
    - Damage reduced 4 hit > 6 hit / 25 > 18 / 13 > 12 / 10 > 8
    - Reload time increased by 20%
    - Headshot multiplier increased 1.5 > 2.2 (buff)

    Alternator
    - Clip size reduced 20 > 18 / 25 > 22
    - Damage reduced 3 hit > 4 hit / 35 > 30 / 18 > 16 / 14 > 12
    - Overrall recoil increased by ≈10%
    - ADS recoil reduced to closer match hipfire (buff)

    Volt
    - Clip size reduced 33 > 30 / 40 > 36
    - Damage reduced 4 hit > 5 hit / 25 > 22 / 15 > 14 / 12 > 10
    - Recoil reduced by ≈8% (buff)

    R-97
    - Damage reduced 4 hit > 5 hit / 20 > 17 / 12 > 10 / 10 > 9
    - Recoil increased by ≈15%
    - Reload time increased by 10%

### LMGs

    Spitfire
    - Damage reduced 3 hit > 4 hit / 35 > 30 / 25 > 20 / 20 > 12
    - Damage falloff moved up 1800 > 1500 / 2000 > 1800
    - ADS inaccuracy introduced
    - Spread increased by ≈10%
    - ADS recoil increased by ≈40%

    L-STAR
    - Overheats a bit more easily
    - Cooling speed increased (buff)

    Devotion
    - Damage changed 25 > 30 / 20 > 16 / 15 > 8
    - Damage falloff moved up 1500 > 1000 / 1800 > 1500
    - Spin up time reduced 1.75s > 1.5s (buff)

### Shotguns

    EVA-8
    - Damage reduced 200 > 160 / 10 > 10
    - Max range increased 750 > 900
    - Added angle based damage boost/penalty

    Mastiff
    - Unchanged

### Grenadier

    SMR
    - Unchanged

    EPG
    - Splash damage reduced 90 > 80
    - Splash damage radius reduced 150 > 130
    - Magazine capacity reduced 5 > 4 / 8 > 6

    Softball
    - Unchanged

    Cold War
    - Damage increased 30 > 40 (buff)
    - Charge time reduced 0.5s > 0.3s (buff)
    - Burst delay increased 0.5s > 0.8s
    - Splash damage radius reduced 96 > 40 / 150 > 130
    - Reload time reduced by 20% (buff)

### Snipers

    Kraber
    - Unchanged

    Doubletake
    - Clip size reduced 6 > 5 / 8 > 7
    - Damage increased 4 hit > 3 hit / 30 > 30 / 30 > 40 (buff)
    - Damage falloff inverted 4500 > 700 / 15000 > 1000
    - Hipfire accuracy slightly increased by ≈25% (buff)

    DMR
    - Rate of fire reduced 3.0 > 2.0

### Pistols

    Wingman Elite
    - Fire rate increased 2.6 > 3.5 (buff)
    - Recoil increased by ≈160%

    Mozambique
    - Damage increased 4 hit > 3 hit / 30 > 34 / 25 > 28 (buff)
    - Damage falloff moved up 750 > 500
    - Reduced reload time by 15% (buff)

### Anti-Titan

    Charge Rifle
    - Ammo stash reduced 20 > 10 / 25 > 14
    - Titan damage increased 1025 > 1425 / 725 > 1125 (buff)
    - Damage falloff moved up 4800 > 1500 / 5300 > 2200
    - Cooldown down speed increased 1.0 > 0.2
    - Rate of fire reduced 1 > 0.6
    - Titan weak spot crits introduced (1.25 multiplier) (buff)

    MGL
    - Pilot damage increased 40 > 60 / 30 > 40

    Thunderbolt
    - Ammo stash increased 6 > 8 / 9 > 12 (buff)
    - Reload time increased by 20%
    - Pilot damage increased 70 > 120  (buff)

    Archer
    - Unchanged
